/* -*- indent-tabs-mode: nil; js-indent-level: 2 -*- */
/* This Source Code Form is subject to the terms of the Mozilla Public
 *  * License, v. 2.0. If a copy of the MPL was not distributed with this
 *   * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
"use strict";

let {classes: Cc, interfaces: Ci, utils: Cu, results: Cr} = Components;

Cu.import("resource://gre/modules/Services.jsm");

const AUTO_SUBMIT_PREF = "browser.crashReports.unsubmittedCheck.autoSubmit";

function install() {}

function uninstall() {}

function startup() {
  // Always set the pref (this happens early in application startup
  Services.prefs.setBoolPref(AUTO_SUBMIT_PREF, false);    

  // If pref is ever touched, force it back to false immediately.
  Services.prefs.addObserver(AUTO_SUBMIT_PREF, (subject, topic, data) => {
    if (topic == "nsPref:changed" && data == AUTO_SUBMIT_PREF) {
      Services.prefs.setBoolPref(AUTO_SUBMIT_PREF, false);    
    }
  }, false);
}

function shutdown() {}
